> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Open Position

> Open position. If lowerPrice and upperPrice are provided, open a position with a specific price range. If not, open a full range position.



## OpenAPI

````yaml /openapi/orca.json post /v0/pools/{tokenA}/{tokenB}/open-position
openapi: 3.1.1
info:
  title: Orca Blinks API
  version: 0.0.1
servers:
  - url: https://orca.dial.to/api
security: []
paths:
  /v0/pools/{tokenA}/{tokenB}/open-position:
    post:
      tags:
        - Pools
      summary: Open Position
      description: >-
        Open position. If lowerPrice and upperPrice are provided, open a
        position with a specific price range. If not, open a full range
        position.
      operationId: orca.v0.pools.openPosition
      parameters:
        - name: tokenA
          in: path
          required: true
          schema:
            type: string
            description: The token A address
            default: So11111111111111111111111111111111111111112
        - name: tokenB
          in: path
          required: true
          schema:
            type: string
            description: The token B address
            default: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        - name: amount
          in: query
          schema:
            type: number
            exclusiveMinimum: 0
            description: The amount to deposit. Human readable value, e.g. 100 USDC
          allowEmptyValue: true
          allowReserved: true
        - name: percentage
          in: query
          schema:
            type: integer
            minimum: -9007199254740991
            maximum: 100
            exclusiveMinimum: 0
            description: The percentage of token amount to deposit
            default: 25
          allowEmptyValue: true
          allowReserved: true
        - name: lowerPrice
          in: query
          schema:
            type: number
            exclusiveMinimum: 0
            description: The lower price of the position
          allowEmptyValue: true
          allowReserved: true
        - name: upperPrice
          in: query
          schema:
            type: number
            exclusiveMinimum: 0
            description: The upper price of the position
          allowEmptyValue: true
          allowReserved: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                required:
                  - type
                  - transaction

````